"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createIndexFactory = void 0;
const createIndexFactory = manager => {
  return {
    create: async (index, settings) => {
      return manager.createIndex(index, settings);
    },
    createIfNotExists: async (index, settings) => {
      try {
        const exists = await manager.indexExists(index);
        if (exists) {
          return;
        }
      } catch (ex) {
        return;
      }
      return await manager.createIndex(index, settings);
    }
  };
};
exports.createIndexFactory = createIndexFactory;

//# sourceMappingURL=createIndex.js.map